dde-session-shell (5.6.35.17-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Fri, 03 Jul 2026 18:05:02 +0800

dde-session-shell (5.6.12) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复拔掉显示屏再接入后，“启动系统监视器”功能按钮消失的问题(Bug: 203827)(Influence: 系统监视器按钮显示状态)
  * fix: 修复华为指纹键盘热插拔无反应的问题(Bug: 201385)(Influence: 指纹热插拔)
  * fix: 禁用网络驱动后隐藏锁屏和greeter上网络插2(Bug: 203795)(Influence: 禁用网络隐藏图标)
  * fix: 在登录时不需要grab键盘并且一直激活界面，避免第三方验证插件界面上的输入(Bug: 202861)(Influence: 第三方验证插件正常输入并验证成功后直接登录系统)
  * fix: 将common-auth中内容修改为第三方pam模块，第一次锁屏后无提示(Bug: 198605)(Influence: 将common-auth中内容修改为第三方pam模块，第一次锁屏界面展示)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 12 Jun 2023 14:58:06 +0800

dde-session-shell (5.6.11.3) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复账户锁定情况下频繁刷新提示信息的问题(Task: 270477)(Influence: 账户密码次数超限后锁定，提示信息频繁刷新)
  * chore: 更新翻译(Task: 270477)(Influence: 文案显示)
  * fix: 修复无法登录的问题(Task: 270477)(Influence: 修复无法登录的问题)
  * fix: 修复登录界面未居中的问题(Task: 270477)(Influence: 界面布局)
  * fix: 修复认证成功后背景未变化为黑色的问题(Task: 270477)(Influence: 认证成功时的体验)
  * fix: 修复锁屏解锁后，又被拉起锁屏情况(Bug: 200415)(Influence: 锁屏)
  * fix: 解决登录锁屏界面音频快捷按钮部分显示不全的问题。(Bug: 200781)(Influence: 登录锁屏界面音频widget显示正常。)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 07 Jun 2023 17:43:03 +0800

dde-session-shell (5.6.11.2) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复锁屏界面鼠标hover到网络图标上，tips位置异常的问题(Bug: 199429)(Influence: 网络tips位置)
  * fix: 禁用网络驱动后隐藏锁屏和greeter上网络插(Bug: 200601)(Influence: 锁屏和greeter显示)
  * fix: 修复锁屏或登录页面先左键点击网络图标再右键单击鼠标，网络图标显示异常的问题(Bug: 201997)(Influence: 网络图标显示)
  * fix: 解决镜像安装后第一次启动登录界面显示异常的问题。(Bug: 202143)(Influence: 镜像安装（带有缩放的）后，登录界面显示正常。)
  * fix: 解决锁屏界面上密码认证锁定后切换其他用户再切换回来后其他认证方式又可以切换的问题。(Bug: 202119)(Influence: 密码认证锁定后切换其他用户再切换回来，其他认证方式不可切换。)
  * chore: 优化capsLock监听线程逻辑(Task: 193971)(Influence: 登录锁屏界面的capsLock状态正常即可)
  * chore: 删除重复的libdtkcore5-bin依赖(Task: 270025)(Influence: 不涉及)
  * feat: 登录/锁屏暂不响应紧凑模式(Task: 270299)(Influence: 紧凑模式下登录锁屏界面不变)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 02 Jun 2023 15:58:21 +0800

dde-session-shell (5.6.11.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复网络面板和网络图标右键菜单面板可同时打开的问题(Bug: 200365)(Influence: 网络面板和菜单显示)
  * chore: 更新翻译(Task: 267299)(Influence: 更新相关翻译)
  * feat: 增加轻量版的greeter(Task: 251417)(Influence: 新功能，仅具备密码登录)
  * fix: 截图时无法锁屏(Bug: 199017)(Influence: 正常情况时、截图时、单屏&多屏的场景)
  * fix: 修复在关机界面络面板回连也会弹出的问题(Task: 267681)(Influence: 网络面板弹窗)
  * fix: 系统更新图标合规(Task: 267459)(Influence: 锁屏更新界面图标合规替换)
  * fix: 用户登录界面UI间距不符合设计(Bug: 194335)(Influence: 登录界面、切换用户页面UI间距)
  * fix: 密码框内密码视觉左右未居中(Bug: 197071)(Influence: 密码输入框UI效果)
  * fix: 修复扩展模式下网络面板位置异常的问题(Bug: 201107)(Influence: 扩展模式下网络面板的位置)
  * fix: 处理模态更新tty切换场景(Bug: 201267)(Influence: tty切换)
  * fix: 修复W525登录界面网络面板位置异常的问题(Bug: 201437)(Influence: 网络回连后面板位置)
  * fix: 解决锁屏下密码认证被锁定后仍然可以切换其他认证方式的问题。(Bug: 201449)(Influence: 密码认证被锁定后不可切换其他认证。)
  * fix: 解决插拔屏幕锁屏崩溃的问题。(Bug: 201311)(Influence: 插拔显示器，锁屏显示正常。)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 25 May 2023 14:19:23 +0800

dde-session-shell (5.6.10.2) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: 更新时切换session被激活不创建认证(Task: 253837)(Influence: 来回切换用户、更新时切换用户)
  * fix: 安装更新卡在50%(Bug: 198691)(Influence: 控制中心更新失败时进行模态更新)
  * fix: 修复S3/S4通过指纹唤醒后，概率性出现指纹不响应问题(Bug: 177695, 174585)(Influence: S3指纹唤醒)
  * fix: 锁屏/登录界面切换用户异常(Bug: 183619)(Influence: 登录/锁屏界面切换用户)
  * chron: 增加日志，方便后续跟踪问题(Bug: 191983)(Influence: 增加日志无影响)
  * fix: 修复登录界面显示认证类型错误的问题(Bug: 190693)(Influence: 华为klv-未接入指纹设备-最近一次使用人脸认证-注销或重启，登录选项显示最近一次的方式)
  * fix: 关机页面“启动系统监视器”Label未有设置字体大小(Influence: 优化电源关机页面,系统显示器按钮的显示)
  * chore: 社区编译问题(Influence: 无)
  * fix: 修复系统修改分辨率后注销登录界面显示的问题。(Bug: 184943)(Influence: 系统修改分辨率后登录界面显示。)
  * fix: 修复系统修改分辨率和缩放后注销登录界面显示的问题。(Bug: 184943)(Influence: 系统修改分辨率后登录界面显示。)
  * chore: 删除deepin-greeter-wayland包(Task: 251417)(Influence: dde-session-shell、deepin-greeter-wayland、uos-hw-config、dde-wayland-config无序安装不会导致登录界面黑屏)
  * fix: 修复系统安装完成优化配置时，及注销/关机/重启/登录过程中，出现代码行(提示+低概率+常用功能)(Bug: 190421)(Influence: greeter登录认证成功后处理流程)
  * chore: 解耦(Task: 251417)(Influence: 无)
  * fix: 解决preinst脚本报错问题(Task: 251417)(Influence: dde-session-shell、deepin-greeter-wayland、uos-hw-config、dde-wayland-config无序安装不会导致登录界面黑屏)
  * fix: 修复greet启动耗时过长问题(Bug: 178279)(Influence: 指纹,登录)
  * fix: 修改root禁用时，创建管理员帐户后，无法图形化界面进入系统问题(Bug: 194539)(Influence: 服务器版-安装后进入图形界面，等熄屏后唤醒，用户正常)
  * fix: 修复帐户密码过期后,再登录界面使用指纹登录后,在修改密码界面再切换其它帐户会失败问题(Bug: 197255)(Influence: 账户过期,登陆,锁屏)
  * fix: 有更新失败job时更新界面异常(Bug: 198691)(Influence: 控制中心更新失败后进入模态界面更新)
  * fix: 解决屏幕键盘显示异常问题(Bug: 199415)(Influence: 屏幕键盘)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 12 May 2023 13:40:19 +0800

dde-session-shell (5.6.10) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: 密码过期后密码权限的修改(Task: 23625)(Influence: 密码修改权限)
  * fix: 修复KLV在登录界面会先黑一下的问题(Bug: 182579)(Influence: 登录界面分辨率)
  * fix: 切换用户后无法验证(Bug: 181413)(Influence: 登录认证)
  * fix: 修复切换字体后，电源界面字体注销后才生效的问题(Bug: 183249)(Influence: 关机界面字体)
  * refactor:  优化多屏显示内容的逻辑(Task: 189323)(Influence: 多屏显示、插拔、休眠、待机唤醒等)
  * chore: 整理代码(Influence: 无。)
  * fix: 开启缩放后界面显示异常(Task: 189323)(Influence: 缩放后多屏场景)
  * fix: 进行休眠前再判断一次是否可以休眠(Bug: 174629)(Influence: 休眠)
  * fix: 修复密钥环弹出后锁屏无法输入密码的问题(Task: 240619)(Influence: 锁屏)
  * fix: 在构建LockWorker和GreeterWorker时需要先初始化m_gsettings(Bug: 185359)(Influence: 设置配置项后能正常屏蔽切换用户按钮)
  * fix: 修复klv仅外接屏显示时重启，当界面出现鼠标立即拔掉外接屏后greeter崩溃的问题(Bug: 183947)(Influence: 登录界面)
  * chore: 更新翻译(Task: 23625)(Influence: 翻译)
  * fix: 密码过期登录界面异常(Task: 189323)(Influence: 密码过期后登录)
  * fix: 取消密码弹窗后输入正确密码黑屏(Task: 242205)(Influence: 登录/锁屏界面重置密码)
  * fix: 解决锁屏失败显示错误的问题(Bug: 177225)(Influence: 任务栏右键菜单，自动锁屏，是否显示锁屏失败。)
  * chore: 忽略lintian报错(Task: 243489)(Influence: 不涉及)
  * feat: 指纹热插拔前端适配(Task: 212961)(Influence: 指纹插拔)
  * chore: 不推荐依赖dde-network-dialog(Task: 236131)(Influence: 安装dde-session-shell不推荐安装dde-network-dialog)
  * feat: 中广核全屏定制shell功能合入1060主线(Task: 241093)(Influence: 登陆锁屏 插件)
  * feat: 字体大小和用户列表宽度配置(Task: 234311)(Influence: 登录、锁屏界面字体大小)
  * fix: 网络面板显示逻辑由登录和锁屏控制(Bug: 185993, 185983)(Influence: 网络面板)
  * feat: 添加更新功能(Task: 234885)(Influence: 锁屏、更新)
  * fix: 删除测试代码(Task: 89814)(Influence: 无)
  * fix: 修复升级dde-sessionshell后，点击网络图标崩溃的问题(Task: 245417)(Influence: 点击网络图标)
  * fix: 调节系统缩放为1.25,修改系统分辨率后，注销系统，登陆界面显示不全(Bug: 185945)(Influence: 开缩放后多屏界面显示)
  * fix: 登录界面显示异常(Bug: 187587)(Influence: 登录界面,特别是华为设备)
  * fix: 华为设备开启无密码登录后登录/锁屏显示异常(Bug: 188163)(Influence: 无密码登录 & 登录锁屏)
  * feat: 优化进度条显示(Task: 246199)(Influence: 备份安装的进度条)
  * fix: 更新时不显示OSD(Bug: 188211)(Influence: OSD提示)
  * fix: 处理切换tty后出现的错误(Bug: 188459)(Influence: 切换tty的场景)
  * fix: 解决用户界面多账户区域无焦点问题(Bug: 188153)
  * fix: 解决域管后台重置密码重启登陆异常的问题。(Bug: 182281)(Influence: 无。)
  * fix: 修复多屏下关机和切用户界面，在从tty切回时，界面下移的问题(Bug: 188537)(Influence: 关机界面)
  * fix: 设置OSD的属性失败(Bug: 188211)(Influence: OSD提示)
  * fix: 更新界面多出一个空白按钮(Bug: 188797)(Influence: 出现dpkg interrupt错误的场景)
  * fix: 修复创建同名用户后，用户信息未更新的问题(Bug: 189289)(Influence: 创建同名用户)
  * feat: 添加更新动效(Task: 245929)(Influence: 更新界面)
  * chore: 优化设置当前认证方式代码。(Task: 249507)(Influence: 当前认证方式。)
  * fix: 修复登录界面待机休眠唤醒后指纹识别不可用的问题。(Task: 177547)(Influence: 登录和锁屏待机休眠唤醒后系统指纹认证。)
  * chore: 代码走查，优化日志输出(Task: 250177)(Influence: 无)
  * fix: 修复锁屏界面右键网路菜单打开和关闭网络，通知消息透明的问题(Task: 245411)(Influence: 锁屏通知消息)
  * fix: 修复开启紧凑模式，锁屏界面的密码提示文案位置偏上的问题(Bug: 186981)(Influence: 紧凑模式下锁屏提示文案)
  * fix: 修复密码过期提示文案无法实时变化的问题(Bug: 187353)(Influence: 密码过期提示)
  * chore: 可视化输出认证类型和认证状态(Task: 250177)(Influence: 务功能性影响)
  * fix:  修复锁屏/登录界面点击网络面板连接网络时，网络面板隐藏的问题(Task: 250917)(Influence: 登录/锁屏连接网络)
  * fix: 修复仅hdmi显示场景下重启或注销后无登录界面的问题(Bug: 189309)
  * fix: 修复网络面板点击网络名称时，不显示密码框的问题(Task: 251379)(Influence: 网络面板)
  * fix: 修复按两次物理电源键，进入锁屏界面，按物理电源键，没有响应的问题(Bug: 191375)(Influence: 连续按两次电源键后锁屏)
  * fix: 更新时设置Locked状态(Bug: 190873)(Influence: 更新时截图)
  * fix: 发起了两次lightdm认证(Task: 251129)(Influence: 优化登录的逻辑，能正常登录即可)
  * fix: 华为登录界面用户头像偏上(Bug: 183945)(Influence: 登录界面UI布局高度（华为和非华为）)
  * fix: 全屏托管插件存在时才开启认证(Task: 252657)(Influence: 全屏托管插件认证)
  * fix: 登陆界面鼠标扫过网络按键,导致密码框失去焦点(Bug: 188549)(Influence: 登陆界面)
  * fix: 解决切换TTY锁屏登录界面内容下移的问题(Bug: 191787)(Influence: 锁屏/登录界面显示)
  * chore: 简化setAuthType代码结构(Task: 250177)(Influence: 无功能影响)
  * chore: 统一dconfig使用方式(Task: 252785)(Influence: 代码优化，无功能性影响)
  * fix: 修复登陆界面网络的hover tips展示有锯齿形状(Bug: 191677)(Influence: dde-session-shell 网络tooltips)
  * fix: 解决登陆/锁屏界面的网络图标显示异常(Bug: 191681)(Influence: 登录锁屏 网络图标)
  * feat: 将greeter的wayland配置文件使用uos-hw-config 配置override值(Task: 196637)(Influence: 华为机器正常进入桌面即可)
  * fix: 修复网络面板显示在关机界面之上的问题(Task: 256005)(Influence: 关机界面Locked属性)
  * fix: 修复关机界面点关机或重启需要输入密码的问题(Bug: 195361)(Influence: 关节界面点击关机或者重启按钮)
  * fix: 更新系统监视器按键ui(Bug: 194249)(Influence: 系统监视器按键ui)
  * fix: 切换用户异常(Bug: 195589)(Influence: 登录界面切换用户)
  * fix: 切换用户后登录界面崩溃(Bug: 195581)(Influence: 录入生物认证后登录界面切换用户)
  * fix: 修复锁屏启动的时候拉取了一键登录的问题。(Bug: 194147)(Influence: 重启后立即锁屏无一键登录功能。)
  * fix: 用户调用接口直接升级(Bug: 197029)(Influence: 控制中心或者电源按钮右键菜单点击更新并关机或更新并重启按钮)
  * fix: 取消更新后再打开关机界面直接进入了更新界面(Bug: 197029)(Influence: 取消更新后再次进入关机或者锁屏界面)
  * fix: 修复KLV仅外接屏显示时，插拔显示器锁屏显示不全的问题(Bug: 193653)(Influence: 插拔显示器)
  * fix: 修复KLV外接屏旋转90度后，未显示全屏的问题(Bug: 193027)(Influence: KLV外接屏幕旋转90度)
  * fix: 修复双屏复制切换到仅eDP屏显示时进行锁屏，锁屏界面显示异常的问题(Bug: 198029)(Influence: 仅eDP显示锁屏)
  * fix: 更新时插入屏幕，界面切换到了关机界面(Bug: 193977)(Influence: 更新时插拔屏幕)
  * fix: 更新翻译(Task: 263147)(Influence: 模态更新页面的翻译)
  * fix: 修复扩展屏幕仅外屏显示模式下待机，拔出外接显示器后唤醒显示黑屏的问题。(Bug: 195507)(Influence: 待机唤醒，锁屏正常显示。)

 -- Deepin Packages Builder <packages@deepin.org>  Sat, 06 May 2023 11:21:13 +0800

dde-session-shell (5.6.4) unstable; urgency=low

  * bump version to 5.6.4

 -- lichangze <lichangze@uniontech.com>  Mon, 9 Jan 2023 16:20:17 +0000

dde-session-shell (0.0.0) unstable; urgency=medium

  * Initialize release

 --  <songwenwu@linuxdeepin.com>  Tue, 02 Dec 2014 11:47:15 +0800
